/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'assetid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'assetname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'assetnumber',
        prop: 'assetnumber',
        dataType: 'TEXT',
      },
      {
        name: 'assetname',
        prop: 'assetname',
        dataType: 'TEXT',
      },
      {
        name: 'eamassettypename',
        prop: 'eamassettypename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamlocationname',
        prop: 'eamlocationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'passetname',
        prop: 'passetname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamassetstatename',
        prop: 'eamassetstatename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamlocationid',
        prop: 'eamlocationid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamassettypeid',
        prop: 'eamassettypeid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamassetstateid',
        prop: 'eamassetstateid',
        dataType: 'PICKUP',
      },
      {
        name: 'passetid',
        prop: 'passetid',
        dataType: 'PICKUP',
      },
      {
        name: 'assetid',
        prop: 'assetid',
        dataType: 'GUID',
      },
      {
        name: 'eamasset',
        prop: 'assetid',
        dataType: 'FONTKEY',
      },
    ]
  }

}